<?php
class PromocionEmergenteC_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }

 public function obtenerenlace ($id){//permite acceder al id del cliente que se desea editar por medio de la variable $id que es pasada por el controlador
      $this->db->where('IdPromociones', $id);
      $query=$this->db->get('promociones');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }




     function buscar($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre de la promoción)
    $data['Franquicias']=$this->promocionEmergenteC_model->BuscarFranquicia();
    foreach ($data['Franquicias'] as $i => $Franquicias) 
    $this->db->select('*');
    $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
     $this->db->join('zona','Zona_IdZona = IdZona','inner');  
    $this->db->like('NombrePromocion', $query);
    $this->db->where('TipoPromocion_IdTipoPromocion','4');
    $this->db->where('Estatus','ACTIVA');
    $this->db->where('Franquicias_IdFranquicias',$i);
     $query=$this->db->get('promociones');

    if ($query->num_rows() > 0){
      return $query;
    }else{
       // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
       // redirect('promociones/cosmetologo/promocionEmergenteC','refresh');
        echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."promociones/cosmetologo/promocionEmergenteC';
                 </script>";
    }
  }

public function BuscarTipoPromocion(){// Realiza una consulta a la bd para buscar los tipos de promoción que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdTipoPromocion,NombrePromocion FROM tipopromocion where IdTipoPromocion = 2'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoPromocion, ENT_QUOTES)] = htmlspecialchars($row->NombrePromocion, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

 public function BuscarCategoria(){// Realiza una consulta a la bd para buscar las categorías que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
  public function BuscarZona(){// Realiza una consulta a la bd para buscar las zonas que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
         
  public function BuscarFranquicia(){// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }





  public function BuscarFranquicia1(){// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
  }